/* $Id: ip2raw.c,v 1.1.1.1 2001/03/21 20:11:36 florian Exp $
 *
 * (c) 2001, Applied Research Lab, Washington University, St. Louis
 *
 * IP testbench tools
 * generate testpatterns for FPX modules
 *
 * ip2raw.c: read description file and output lowlevel testbench file
 */

#include "testbench.h"
#include <stdio.h>

main (int argc, char**argv)
{
  char *infile = "TESTBENCH.TBP";
  char *outfile = "TBRAW.TBP";
  StreamBlock *sblock;

  if (argc > 1)
    infile = argv[1];
  if (argc > 2)
    outfile = argv[2];

  sblock = ParseFile (infile);
  sblock = FilterAll (sblock);

  DumpTB (outfile, sblock); 
  
  return 0;
}
