/* $Id: ip2sim.c,v 1.2 2001/04/27 00:41:40 florian Exp $
 *
 * (c) 2001, Applied Research Lab, Washington University, St. Louis
 *
 * IP testbench tools
 * generate testpatterns for FPX modules
 *
 * ip2sim.c: read description file and output macro file for vsim
 */

#include "testbench.h"
#include <stdio.h>

main (int argc, char**argv)
{
  char *infile = "TESTBENCH.TBP";
  char *outfile = "testbench.do";
  StreamBlock *sblock;

  if (argc > 1)
    infile = argv[1];
  if (argc > 2)
    outfile = argv[2];

  sblock = ParseFile (infile);
  sblock = FilterAll (sblock);

  DumpSim (outfile, sblock);

  return 0;
}
